/*******************************************************************************
 * Copyright (c) 2005, 2006 IBM Corporation.
 * All rights reserved. 
 *******************************************************************************/
package com.ibm.gallery.common.wizards;

import org.eclipse.jface.wizard.IWizard;

import com.ibm.ccl.ua.wizards.*;
/*
 * This class provides a generic import action for the sample gallery wizard
 */
public class ImportAction extends GalleryWizardAction {
	/* (non-Javadoc)
	 * @see com.ibm.samplegallery.WizardActionDelegate#getWizard()
	 */
	public IWizard getWizard() {
		IWizard wiz = null;
		try {
			wiz =  GalleryWizardActionHelper.getWizardWithExtensionId(wizID); //$NON-NLS-1$
		} catch (Exception e){
			// handle no wiz found 
			//System.out.println("Exception in ImportAction :"+e);
		Activator.logError("Exception in ImportAction :", e); //$NON-NLS-1$
			//e.printStackTrace();
		}
		return wiz;
	}

}